# NapaTrackMater

# Developed by KapoorLabs


<img src="images/mtrack.png" alt="Logo1" width="150"/>
<img src="images/kapoorlablogo.png" alt="Logo2" width="150"/>

This product is a testament to our expertise at KapoorLabs, where we specialize in creating cutting-edge solutions. We offer bespoke pipeline development services, transforming your developmental biology questions into publishable figures with our advanced computer vision and AI tools. Leverage our expertise and resources to achieve end-to-end solutions that make your research stand out.

**Note:** The tools and pipelines showcased here represent only a fraction of what we can achieve. For tailored and comprehensive solutions beyond what was done in the referenced publication, engage with us directly. Our team is ready to provide the expertise and custom development you need to take your research to the next level. Visit us at [KapoorLabs](https://www.kapoorlabs.org/).

[![License BSD-3](https://img.shields.io/pypi/l/NapaTrackMater.svg?color=green)](https://github.com/Kapoorlabs-CAPED/NapaTrackMater/raw/main/LICENSE)
[![PyPI](https://img.shields.io/pypi/v/NapaTrackMater.svg?color=green)](https://pypi.org/project/NapaTrackMater)
[![Python Version](https://img.shields.io/pypi/pyversions/NapaTrackMater.svg?color=green)](https://python.org)
[![codecov](https://codecov.io/gh/Kapoorlabs-CAPED/NapaTrackMater/branch/main/graph/badge.svg)](https://codecov.io/gh/Kapoorlabs-CAPED/NapaTrackMater)





## Napari Visualization tool for Trackmate > 6.0 XML files for 3D + time tracks.

----------------------------------

This [caped] package was generated with [Cookiecutter] using [@caped]'s [cookiecutter-template] template.



## Installation

You can install `NapaTrackMater` via [pip]:

    pip install NapaTrackMater



To install latest development version :

    pip install git+https://github.com/Kapoorlabs-CAPED/NapaTrackMater.git


## Contributing

Contributions are very welcome. Tests can be run with [tox], please ensure
the coverage at least stays the same before you submit a pull request.

## Computational Support

Auto Track Correction using TrackMate-Oneat was granted access to the HPC resources of IDRIS under the allocation 2022 - [AD011013724], 2023 - [AD011013724R1] made by GENCI. We used the resources to create training data and inference on the imaging datasets.

## License

Distributed under the terms of the [BSD-3] license,
"NapaTrackMater" is free and open source software

## Issues

If you encounter any problems, please [file an issue] along with a detailed description.


[pip]: https://pypi.org/project/pip/
[caped]: https://github.com/Kapoorlabs-CAPED
[Cookiecutter]: https://github.com/audreyr/cookiecutter
[@caped]: https://github.com/Kapoorlabs-CAPED
[MIT]: http://opensource.org/licenses/MIT
[BSD-3]: http://opensource.org/licenses/BSD-3-Clause
[GNU GPL v3.0]: http://www.gnu.org/licenses/gpl-3.0.txt
[GNU LGPL v3.0]: http://www.gnu.org/licenses/lgpl-3.0.txt
[Apache Software License 2.0]: http://www.apache.org/licenses/LICENSE-2.0
[Mozilla Public License 2.0]: https://www.mozilla.org/media/MPL/2.0/index.txt
[cookiecutter-template]: https://github.com/Kapoorlabs-CAPED/cookiecutter-template

[file an issue]: https://github.com/Kapoorlabs-CAPED/NapaTrackMater/issues

[caped]: https://github.com/Kapoorlabs-CAPED/
[tox]: https://tox.readthedocs.io/en/latest/
[pip]: https://pypi.org/project/pip/
[PyPI]: https://pypi.org/

## Authors

- Varun Kapoor <randomaccessiblekapoor@gmail.com>
- Mari Tolonen
- Jakub Sedzinski
